
# import UnityEngine
# from UnityEngine import *

import sys

# sys.path.append("e:/Dropbox/unity/Rotaym/Library")

import UnityEngine
from UnityEngine import *

import Afflictor
import Steering

t = open("out.txt", "w")

# m = clr.AddReferenceToFile("Assembly-CSharp.dll")

panel = GameObject("from python")
steering = panel.AddComponent("Steering");

# prefabPath = "Assets/Craft/Resources/Wasp.prefab"
# prefabPath = "Assets/Craft/Resources/Wasp.prefab"
# loaded = Resources.Load(prefabPath, type(GameObject))
# g = Object.Instantiate(Resources.Load(prefabPath, type(GameObject)), Vector3(6, 6, 6), Quaternion.identity)

prefabPath = "Wasp" # No extension.. awesome.
loaded = Resources.Load(prefabPath) # WORKS!!
g = Object.Instantiate(loaded, Vector3(6, 6, 6), Quaternion.identity)

steering.turnRate = 89.9

t.write("\n");
t.close()

Debug.Log("Hello from PYTHON!")
